[Debian-eeepc-commits] [SCM] Maintenance of eeepc-acpi-scripts debian package branch, master, updated. 1.1.5-87-g2944d88

Ben Armstrong synrg at debian.org
Fri Nov 19 10:55:54 UTC 2010


The following commit has been merged in the master branch:
commit 2944d88836a80396df162e481a715e57ffbbfcea
Author: Ben Armstrong <synrg at debian.org>
Date:   Fri Nov 19 06:43:49 2010 -0400

    Fix remaining tests for eeepc to also check eeepc-wmi.

diff --git a/debian/eeepc-acpi-scripts.init b/debian/eeepc-acpi-scripts.init
index b694cac..9a7d758 100644
--- a/debian/eeepc-acpi-scripts.init
+++ b/debian/eeepc-acpi-scripts.init
@@ -13,8 +13,8 @@ PKG_DIR=/usr/share/acpi-support/$PKG
 # exit if package not installed
 test -f $PKG_DIR/lib/functions.sh || exit 0
 
-# exit if eeepc-laptop isn't loaded (should be loaded by udev)
-test -d /sys/bus/platform/devices/eeepc || exit 0
+# exit if eeepc-laptop or eeepc-wmi isn't loaded (should be loaded by udev)
+[ -d /sys/devices/platform/eeepc ] || [ -d /sys/devices/platform/eeepc-wmi ]  || exit 0
 
 PATH="/sbin:/bin"
 
diff --git a/eeepc-acpi-scripts/gsm.sh b/eeepc-acpi-scripts/gsm.sh
index c61d61a..b6e8d34 100755
--- a/eeepc-acpi-scripts/gsm.sh
+++ b/eeepc-acpi-scripts/gsm.sh
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -d /sys/bus/platform/devices/eeepc || exit 0
+[ -d /sys/devices/platform/eeepc ] || [ -d /sys/devices/platform/eeepc-wmi ] || exit 0
 PKG=eeepc-acpi-scripts
 PKG_DIR=/usr/share/acpi-support/$PKG
 FUNC_LIB=$PKG_DIR/lib/functions.sh
diff --git a/eeepc-acpi-scripts/vga-toggle.sh b/eeepc-acpi-scripts/vga-toggle.sh
index c2dcc20..9df938b 100755
--- a/eeepc-acpi-scripts/vga-toggle.sh
+++ b/eeepc-acpi-scripts/vga-toggle.sh
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -d /sys/bus/platform/devices/eeepc || exit 0
+[ -d /sys/devices/platform/eeepc ] || [ -d /sys/devices/platform/eeepc-wmi ] || exit 0
 # do nothing if package is removed
 PKG=eeepc-acpi-scripts
 PKG_DIR=/usr/share/acpi-support/$PKG
diff --git a/eeepc-acpi-scripts/volume.sh b/eeepc-acpi-scripts/volume.sh
index 49d655a..e6e278c 100755
--- a/eeepc-acpi-scripts/volume.sh
+++ b/eeepc-acpi-scripts/volume.sh
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -d /sys/bus/platform/devices/eeepc || exit 0
+[ -d /sys/devices/platform/eeepc ] || [ -d /sys/devices/platform/eeepc-wmi ] || exit 0
 # Volume controls
 
 # do nothing if package is removed

-- 
Maintenance of eeepc-acpi-scripts debian package



More information about the Debian-eeepc-commits mailing list